<?php
require_once 'model/anoTrabajo.entidad.php';
require_once 'model/anoTrabajo.model.php';
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';

class AnoTrabajoController {
    private $anotrabajo_model;
    private $usuario_model;
    private $parametro_model;

    public function __CONSTRUCT() {
        $this->anotrabajo_model = new AnoTrabajoModel();
        $this->parametro_model = new ParametroModel();

    }

    public function Index() {
        $anos = $this->anotrabajo_model->Listar();
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/header.php';
        require_once 'view/webforms/wfaanotrabajo.php';
        echo "<script type='text/javascript'>
                  $(document).ready(function (){
                      $('.catalogos').addClass('active');
                  });
              </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarAnoTrabajo() {
        require_once 'view/webforms/wfaanotrabajoa.php';
    }

    public function GuardarAnoTrabajo() {
        $ano = new AnoTrabajo();

        if($_POST['ano_Id'] != 0 ? $ano->__SET('ano_Id', $_POST['ano_Id']) : '');

        $ano->__SET('sAnoDescripcion', $_POST['sAnoDescripcion']);
        $ano->__SET('nAnoEstado', $_POST['nAnoEstado']);
        $ano->__SET('nAnoEliminado',0);
        $ano->__SET('nAnoUsuario_Id', $_SESSION['usu_codigo']);

        if($_POST['ano_Id'] != 0 ? $this->anotrabajo_model->Editar($ano) : $this->anotrabajo_model->Guardar($ano));

        echo "<meta http-equiv='refresh' content='0'>";
    }

    public function getAnoTrabajo($ano_Id){
        $datos= $this->anotrabajo_model->Buscar($ano_Id);
        foreach ($datos as $r):
            echo " <tbody>
                      <tr>
                         <td>
                            <input type='hidden' name='IdPersonal_Print' id='IdPersonal_Print' value='".$r->__GET('ano_Id')."'> 
                            DNI
                         </td>
                         <td>".$r->__GET('sAnoDescripcion')."</td>
                      </tr>
                      <tr>
                         <td>Estado</td>
                         <td>".($r->__GET('nAnoEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                      </tr>
                   </tbody>
                 ";
        endforeach;
    }



    public function FrmEditarAnoTrabajo() {
        $datos = $this->anotrabajo_model->Buscar($_POST['ano_Id']);

        foreach ($datos as $r):
            require_once 'view/webforms/wfaanotrabajoa.php';
        endforeach;
    }

    public function MostrarAnoTrabajo() {
        echo $this->getAnoTrabajo($_POST['edad_Id']);
    }

    public function EliminarAnoTrabajo(){
        $ven = new AnoTrabajo();
        $ven->__SET('ano_Id', $_POST['idPersonal']);
        $this->anotrabajo_model->Eliminar($ven);
        echo '<script type="text/javascript">window.location="?c=AnoTrabajo&a=Index";</script>';
        
    }
}
