<?php    
    require_once 'model/parametro.model.php';
    require_once 'model/parametro.entidad.php';
    require_once 'model/organigrama.model.php';
    require_once 'model/organigrama.entidad.php';
    class OrganigramaController{
        private $parametro_model;
        private $organigrama_model;
        public function __CONSTRUCT(){
            $this->parametro_model = new ParametroModel();
            $this->organigrama_model = new OrganigramaModel();
        }
        
        public function Index(){
            $organigrama = $this->organigrama_model->Listar();
            $parametro = $this->parametro_model->ListarParametros();
            require_once 'view/header.php';
            require_once 'view/webforms/wfaorganigramas.php';
            echo "<script type='text/javascript'>
                        $(document).ready(function (){
                            $('.catalogos').addClass('active');
                        });
                  </script>";
            require_once 'view/footer.php';
        }


        //traendo las categorias de la base de datos

        public function ListarCategorias(){
            $categoria= $this->organigrama_model->ListarCat();
            
                foreach ($categoria as $cat){
                    
                    
                        echo '<option value="'.$cat->__GET('OrgCat_Id').'">'.$cat->__GET('sOrgCatDescripcion').  '</option>';
                    
                }
        }


        public function FrmOrganigrama(){
            $organigrama = $this->organigrama_model->Listar();
            require 'view/webforms/wfaorganigramasa.php';
        }
        public function FrmEditarOrganigrama(){
            $organigrama = $this->organigrama_model->Listar();
            $datos = $this->organigrama_model->Buscar($_POST['Organigrama_Id']);

            //categorias
            $categoria= $this->organigrama_model->ListarCat();

            foreach ($datos as $r){                
                require 'view/webforms/wfaorganigramasa.php';
            }
        }
        public function GuardarOrganigrama(){
            $org = new organigrama();
            if($_POST['Organigrama_Id'] != 0 ? $org->__SET('Organigrama_Id', $_POST['Organigrama_Id']) : '');
            $org->__SET('sOrgCodigo', 0);
            $org->__SET('sOrgDescripcion', $_POST['sOrgDescripcion']);
            $org->__SET('nOrgPadre', $_POST['nOrgPadre']);
            $org->__SET('nOrgTipo', $_POST['nOrgTipo']);
            $org->__SET('nOrgEstado', $_POST['nOrgEstado']);
            $org->__SET('nOrgEliminado', 0);
            $org->__SET('Usuario_Id', $_SESSION['usu_codigo']);
            if($_POST['Organigrama_Id'] != 0 ? $this->organigrama_model->Editar($org) : $this->organigrama_model->guardar($org));
        }
        public function ListarArbolContenido(){
            $organigrama = $this->organigrama_model->Listar();
            $ex = array();
            foreach ($organigrama as $arb){
                $ex[] = array('id' => $arb->__GET('Organigrama_Id'),
                              'codigo' =>  "",
                              'nombre' => $arb->__GET('sOrgDescripcion'),
                              'parentId' => $arb->__GET('nOrgPadre'),
                              'nOrgEstado' => $arb->__GET('nOrgEstado'),);
            }
            echo '<ol class="tree">';
            $arbol_lista = "";
            for($j=0;$j<count($ex);$j++){
                if($ex[$j]['parentId'] == 0){
                    $arbol_lista .= '<li>
                                        <label>'.$ex[$j]['codigo'].' '.$ex[$j]['nombre'].'</label>
                                        <input type="checkbox" checked id="folder1" />'
                                        .Arbol($ex,$ex[$j]['id']).'
                                    </li>';
                }  
            }
            echo $arbol_lista;
            echo '</ol>';
        }
        public function EliminarOrganigrama(){
            $org = new organigrama();
            $org->__SET('organigrama_Id', $_POST['Organigrama_Id']); 
            $dato = $this->organigrama_model->Hijos($_POST['Organigrama_Id']);
            if(count($dato)>0){  
                $or = new organigrama();
                $or->__SET('Organigrama_Id', $_POST['Organigrama_Id']); 
                $or->__SET('nOrgPadre', $_POST['nOrgPadre']);
                $this->organigrama_model->Padre($or);
                $this->organigrama_model->Eliminar($org);  
            }else{ 
                $this->organigrama_model->Eliminar($org);                
            }
            echo '<div class="alert alert-success" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Exito información modificado</strong>, los datos fueron eliminados correctamente.
                  </div>';        
        }

        public function ListarPuestos(){
            $org = $this->organigrama_model->Listar();
            echo '<option value="0">Seleccionar Puestos</option>';
            
                foreach ($org as $p){
                    
                    
                        echo '<option value="'.$p->__GET('Organigrama_Id').'">'.$p->__GET('sOrgDescripcion').  '</option>';
                    
                }
            
        }


    }
    

    function Arbol($tree, $padre){
        $cont = 0;
        $list = "<ol>";
        for($i=0;$i<count($tree);$i++){
            if($tree[$i]['parentId'] == $padre && $tree[$i]['nOrgEstado'] == 1){
                $list .= '<li>
                            <label><a onclick="FrmEditarOrganigrama(\''.$tree[$i]['id'].'\');">'.$tree[$i]['codigo'].' '. $tree[$i]['nombre'] .'</a></label>
                            <input type="checkbox" checked id="'.$tree[$i]['nombre'].'" />'
                            .Arbol($tree, $tree[$i]['id']).' 
                          </li>';
                $cont++;
            }else
            {
                if ($tree[$i]['parentId'] == $padre && $tree[$i]['nOrgEstado'] == 0) {
                    $list .= '<li>
                            <label><a onclick="FrmEditarOrganigrama(\''.$tree[$i]['id'].'\');"><font color=#C9C7C6>'.$tree[$i]['codigo'].' '. $tree[$i]['nombre'] .'</font></a></label>
                            <input type="checkbox" checked id="'.$tree[$i]['nombre'].'" />'
                            .Arbol($tree, $tree[$i]['id']).' 
                          </li>';
                    $cont++;
                }
            }
        }    
        $list .= "</ol>";
        if($cont == 0){
            $list = "";
        }
        return $list;
    }
?>