<?php
require_once 'model/rangoEdad.entidad.php';
require_once 'model/rangoEdad.model.php';
require_once 'model/usuario.entidad.php';
require_once 'model/usuario.model.php';
require_once 'model/parametro.model.php';
require_once 'model/parametro.entidad.php';

class RangoEdadController {
    private $rangoedad_model;
    private $usuario_model;
    private $parametro_model;

    public function __CONSTRUCT() {
        $this->rangoedad_model = new RangoEdadModel();
        $this->usuario_model = new UsuarioModel();
        $this->parametro_model = new ParametroModel();
    }

    public function Index() {
        $parametro = $this->parametro_model->ListarParametros();
        $rangos = $this->rangoedad_model->Listar();

        require_once 'view/header.php';
        require_once 'view/webforms/wfarangoedad.php';
        
        echo "<script type='text/javascript'>
                  $(document).ready(function (){
                      $('.catalogos').addClass('active');
                  });
              </script>";
        require_once 'view/footer.php';
    }

    public function FrmGuardarRangoEdad() {
        $parametro = $this->parametro_model->ListarParametros();
        require_once 'view/webforms/wfarangoedada.php';
    }

    public function GuardarRangoEdad() {
        $ran = new RangoEdad();

        if($_POST['edad_Id'] != 0 ? $ran->__SET('edad_Id', $_POST['edad_Id']) : '');


        $ran->__SET('sEdaDescripcion', $_POST['sEdaDescripcion']);
        $ran->__SET('nEdaEstado', $_POST['nEdaEstado']);
        $ran->__SET('nEdaEliminado',0);
        $ran->__SET('nEdaUsuario_Id', $_SESSION['usu_codigo']);

        if($_POST['edad_Id'] != 0 ? $this->rangoedad_model->Editar($ran) : $this->rangoedad_model->Guardar($ran));

        echo "<meta http-equiv='refresh' content='0'>";
    }

    public function getRangoEdad($edad_Id){
        $datos= $this->rangoedad_model->Buscar($edad_Id);
        foreach ($datos as $r):
            echo " <tbody>
                      <tr>
                         <td>
                            <input type='hidden' name='IdPersonal_Print' id='IdPersonal_Print' value='".$r->__GET('edad_Id')."'> 
                            DNI
                         </td>
                         <td>".$r->__GET('sEdaDescripcion')."</td>
                      </tr>
                      <tr>
                         <td>Estado</td>
                         <td>".($r->__GET('nPerEstado') == '1' ? '<span class="label bg-green">Habilitado</span>' : '<span class="label bg-danger">Inhabilitado</span>')."</td>
                      </tr>
                   </tbody>
                 ";
        endforeach;
    }


    public function FrmEditarRangoEdad() {
        $datos = $this->rangoedad_model->Buscar($_POST['edad_Id']);

        foreach ($datos as $r):
            require_once 'view/webforms/wfarangoedada.php';
        endforeach;
    }

    public function MostrarRangoEdad(){
        echo $this->getRangoEdad($_POST['edad_Id']);
    }

    public function EliminarRangoEdad(){
        $ven = new RangoEdad();
        $ven->__SET('edad_Id', $_POST['idPersonal']);
        $this->rangoedad_model->Eliminar($ven);
        echo '<script type="text/javascript">window.location="?c=RangoEdad&a=Index";</script>';
        
    }
}
?>
