<?php
if (isset($_GET['filename'])) {
    $filename = $_GET['filename'];

    // Verificar si el archivo existe antes de intentar descargarlo
    if (file_exists($filename)) {
        // Obtener solo el nombre del archivo sin la ruta
        $downloadName = basename($filename);

        // Configurar encabezados para la descarga
        header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
        header('Content-Disposition: attachment; filename="' . $downloadName . '"');
        header('Cache-Control: max-age=0');

        // Enviar el archivo al navegador
        readfile($filename);

        // Eliminar el archivo después de la descarga (si es temporal)
        unlink($filename);

        exit();
    } else {
        http_response_code(404);
        echo "El archivo no existe.";
        exit();
    }
} else {
    http_response_code(400);
    echo "No se especificó un nombre de archivo para descargar.";
    exit();
}
