<?php
class ClientesModel {
    private $pdo;
    function __CONSTRUCT(){
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Autenticar($sCliUsuario, $sCliPassword){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL per_Autentica('$sCliUsuario', '$sCliPassword')");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                //$cli->__SET('sCliCodigoSAP', $r->sCliCodigoSAP);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                // $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                // $cli->__SET('sCliTelefono', $r->sCliTelefono);
                // $cli->__SET('sCliTelefono2', $r->sCliTelefono2);
                // $cli->__SET('sCliCodPais', $r->sCliCodPais);
                // $cli->__SET('sCliPais', $r->sCliPais);
                // $cli->__SET('sCliDepartamento', $r->sCliDepartamento);
                // $cli->__SET('sCliProvincia', $r->sCliProvincia);
                // $cli->__SET('sCliDistrito', $r->sCliDistrito);
                // $cli->__SET('sCliDireccion', $r->sCliDireccion);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                // $cli->__SET('sCliPassword', $r->sCliPassword);
                // $cli->__SET('sCliGrupoCli', $r->sCliGrupoCli);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                // $cli->__SET('nCliOculto', $r->nCliOculto);
                // $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                // $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $result[] = $cli;
            }
            $_SESSION['usu_tipo']="5";
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }   
    public function Verificar($sCliCodigoSAP){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_verificar('$sCliCodigoSAP')");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigoSAP', $r->sCliCodigoSAP);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliTelefono2', $r->sCliTelefono2);
                $cli->__SET('sCliCodPais', $r->sCliCodPais);
                $cli->__SET('sCliPais', $r->sCliPais);
                $cli->__SET('sCliDepartamento', $r->sCliDepartamento);
                $cli->__SET('sCliProvincia', $r->sCliProvincia);
                $cli->__SET('sCliDistrito', $r->sCliDistrito);
                $cli->__SET('sCliDireccion', $r->sCliDireccion);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('sCliGrupoCli', $r->sCliGrupoCli);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Listar(){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_listar(0)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigoSAP', $r->sCliCodigoSAP);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliTelefono2', $r->sCliTelefono2);
                $cli->__SET('sCliCodPais', $r->sCliCodPais);
                $cli->__SET('sCliPais', $r->sCliPais);
                $cli->__SET('sCliDepartamento', $r->sCliDepartamento);
                $cli->__SET('sCliProvincia', $r->sCliProvincia);
                $cli->__SET('sCliDistrito', $r->sCliDistrito);
                $cli->__SET('sCliDireccion', $r->sCliDireccion);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('sCliGrupoCli', $r->sCliGrupoCli);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Buscar($Cliente_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL cli_listar($Cliente_Id)");
            $stm->execute();
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $cli = new Clientes();
                $cli->__SET('Cliente_Id', $r->Cliente_Id);
                $cli->__SET('sCliCodigoSAP', $r->sCliCodigoSAP);
                $cli->__SET('sCliNombre', $r->sCliNombre);
                $cli->__SET('sCliRUCDNI', $r->sCliRUCDNI);
                $cli->__SET('sCliTelefono', $r->sCliTelefono);
                $cli->__SET('sCliTelefono2', $r->sCliTelefono2);
                $cli->__SET('sCliCodPais', $r->sCliCodPais);
                $cli->__SET('sCliPais', $r->sCliPais);
                $cli->__SET('sCliDepartamento', $r->sCliDepartamento);
                $cli->__SET('sCliProvincia', $r->sCliProvincia);
                $cli->__SET('sCliDistrito', $r->sCliDistrito);
                $cli->__SET('sCliDireccion', $r->sCliDireccion);
                $cli->__SET('sCliUsuario', $r->sCliUsuario);
                $cli->__SET('sCliPassword', $r->sCliPassword);
                $cli->__SET('sCliGrupoCli', $r->sCliGrupoCli);
                $cli->__SET('nCliEstado', $r->nCliEstado);
                $cli->__SET('nCliOculto', $r->nCliOculto);
                $cli->__SET('dCliFecha_Act', $r->dCliFecha_Act);
                $cli->__SET('nCliUsuario_Id', $r->nCliUsuario_Id);
                $result[] = $cli;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }
    public function Crear(Clientes $data){
        try {
            $Cliente_Id = 0;
            $stm = $this->pdo->prepare("CALL cli_crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?, @Cliente_Id)");
            $stm->execute(array(
                                 $data->__get('sCliCodigoSAP'),
                                 $data->__get('sCliNombre'),
                                 $data->__get('sCliRUCDNI'),
                                 $data->__get('sCliTelefono'),
                                 $data->__get('sCliTelefono2'),
                                 $data->__get('sCliCodPais'),
                                 $data->__get('sCliPais'),
                                 $data->__get('sCliDepartamento'),
                                 $data->__get('sCliProvincia'),
                                 $data->__get('sCliDistrito'),
                                 $data->__get('sCliDireccion'),
                                 $data->__get('sCliUsuario'),
                                 $data->__get('sCliPassword'),
                                 $data->__get('sCliGrupoCli'),
                                 $data->__get('nCliEstado'),
                                 $data->__get('nCliOculto'),
                                 $data->__get('nCliUsuario_Id')
                                 ));
            
            foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $Cliente_Id = $r->Cliente_Id;
            }
            return $Cliente_Id;
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Editar(Clientes $data){
        try {
            $stm = $this->pdo->prepare("CALL cli_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                                 $data->__get('sCliCodigoSAP'),
                                 $data->__get('sCliNombre'),
                                 $data->__get('sCliRUCDNI'),
                                 $data->__get('sCliTelefono'),
                                 $data->__get('sCliTelefono2'),
                                 $data->__get('sCliCodPais'),
                                 $data->__get('sCliPais'),
                                 $data->__get('sCliDepartamento'),
                                 $data->__get('sCliProvincia'),
                                 $data->__get('sCliDistrito'),
                                 $data->__get('sCliDireccion'),
                                 $data->__get('sCliUsuario'),
                                 $data->__get('sCliPassword'),
                                 $data->__get('sCliGrupoCli'),
                                 $data->__get('nCliEstado'),
                                 $data->__get('nCliOculto'),
                                 $data->__get('nCliUsuario_Id'),
                                 $data->__get('Cliente_Id')
                                 ));
        } catch (Exception $e) {
            die($e->getMessage());
        }
    }
    public function Eliminar(Clientes $data){
        try {
             $stm = $this->pdo->prepare("CALL cli_eliminar(?)");
             $stm->execute(array($data->__get('Cliente_Id')));
             echo "Se elimino correctamente";
        } catch (Exception $e) {
             echo die($e->getMessage());
        }
   }
}
?>
