var idCuestionario = "<?php echo isset($r) ? $r->__GET('cuestionario_Id') : '0'; ?>";
var idTBody = "#tComportamiento tbody";
var idNuevoComportamiento = "#sNuevoComportamiento";
var porcentaje = "#nComDetPorcentaje";
var comportamientoEnTabla = [];
var estadoAct = 0;

// $(document).ready(function () {
//     draganddrog();
//     if (idCuestionario > 0) {
//         listarCuestionarioDetalle();
//     }
// });

function draganddrog() {
    $('#tComportamiento').tableDnD({
        onDragStart: function (table, row) {
            $("#debugArea").html("Started dragging row" + row.id);
        }
    });
}

function listarCuestionarioDetalle(idCuestionario) {

    if (idCuestionario > 0) {
        $.post('?c=Cuestionario&a=ListarCuestionario', { cuestionario_Id: idCuestionario }, function (data) {
            comportamientoEnTabla = [];
            estadoAct = 1;
            var response = $.parseJSON(data);
            var row = "";

            if (response.length > 0) {
                $(idTBody).empty();
                comportamientoEnTabla = response;

                $.each(response, function (key, value) {
                    row += `<tr>
                                <td>
                                    <input  type='hidden' name='pregunta_Id' value='${value.pregunta_Id}'>${value.sPreDescripcion}
                                </td>
                                <td>
                                    <input  type='hidden' name='nComDetPorcentaje' value='${value.nComDetPorcentaje}'>${(value.nComDetPorcentaje)}
                                </td>
                                <td>
                                    <a class='btn btn-danger btn-xs btn-flat btnQuitar'><i class='fa fa-trash-o'></i></a>
                                </td>
                            </tr>`;
                });

                $(idTBody).append(row);
                draganddrog();
            }
        });
    }
}

function agregarComportamiento() {
    var s_comportamiento = $(idNuevoComportamiento).val(); // Valor seleccionado del select
    var cmbComportamiento = document.getElementById("sNuevoComportamiento");
    var sComNombre = cmbComportamiento.options[cmbComportamiento.selectedIndex].text;
    var n_porcentaje = $(porcentaje).val();

    if (n_porcentaje === "") {
        $("#modalAlert").html("<div class='alert alert-warning alert-dismissable'> Porcentaje no puede estar vacío.</div>");
        document.getElementById('nComDetPorcentaje').focus();
        return;
    }

    console.log("Lista actual de comportamientos:", comportamientoEnTabla);

    // Validar si ya existe la pregunta con el mismo sPreDescripcion
    var existeNombre = comportamientoEnTabla.find(e => String(e.sPreDescripcion) === String(sComNombre));

    if (existeNombre) {
        $("#modalAlert").html("<div class='alert alert-warning alert-dismissable'> La pregunta ya está en la tabla.</div>")
            .fadeTo(2000, 500)
            .slideUp(500, function () {
                $("#modalAlert").empty();
            });
        return;
    }

    var row = `<tr>
                    <td>
                        <input type='hidden' name='pregunta_Id' value='${s_comportamiento}'>${sComNombre}
                    </td>
                    <td>
                        <input type='hidden' name='nComDetPorcentaje' value='${n_porcentaje}'>${n_porcentaje}
                    </td>
                    <td>
                        <a class='btn btn-danger btn-xs btn-flat btnQuitar' data-name='${sComNombre}' data-item='0'><i class='fa fa-trash-o'></i></a>
                    </td>
               </tr>`;

    if (comportamientoEnTabla.length === 0) {
        $(idTBody).empty();
    }

    $(idTBody).append(row);

    comportamientoEnTabla.push({
        "pregunta_Id": s_comportamiento,
        "sPreDescripcion": sComNombre,
        "nComDetPorcentaje": n_porcentaje
    });

    $("#mAgregarComportamiento").modal('hide');
    $(porcentaje).val('');
    draganddrog();
}

$(document).on("click", ".btnQuitar", function () {
    var id = $(this).attr("data-item");
    var nombre = $(this).attr("data-name");
    $(this).parent().parent().remove();

    if (id > 0) {
        var indexComp = findWithAttr(comportamientoEnTabla, 'pregunta_Id', id);
        if (indexComp !== -1) comportamientoEnTabla[indexComp]['pregunta_Id'] = -1;
    } else {
        var indexComp = findWithAttr(comportamientoEnTabla, 'sPreDescripcion', nombre);
        if (indexComp !== -1) comportamientoEnTabla[indexComp]['pregunta_Id'] = -2;
    }

    if ($(idTBody).children().length === 0) {
        $(idTBody).append("<tr><td colspan='3'> No hay preguntas</td></tr>");
    }
});

function findWithAttr(array, attr, value) {
    return array.findIndex(e => e[attr] === value);
}

function GuardarCuestionario() {
    var cuestionario_Id = $('#cuestionario_Id').val();

    var sCueCodigo = $('#sCueCodigo').val();
    var sCueNombre = $('#sCueNombre').val();

    var tableArr = [];

    $('#tComportamiento tbody tr').each(function () {
        var competencia_Id = $(this).find("input[name='pregunta_Id']").val();
        var percent = $(this).find("input[name='nComDetPorcentaje']").val();

        if (competencia_Id && percent) {
            tableArr.push({
                "pregunta_Id": competencia_Id,
                "nComDetPorcentaje": percent
            });
        }
    });

    var jsonArray = JSON.stringify(tableArr);
    console.log("Datos a enviar:", jsonArray); // Debugging

    $.post('?c=Cuestionario&a=GuardarCuestionario', {
        sCueCodigo: sCueCodigo,
        sCueNombre: sCueNombre,
        jsonArray: jsonArray,
        estadoAct: estadoAct,
        cuestionario_Id: cuestionario_Id,
    }, function (data) {
        $("#resultado").html(data);
        LimpiarFrmCuestionario();
        $('html, body').animate({ scrollTop: '0px' }, 1000);
    });
}

function LimpiarFrmCuestionario() {
    $("#cuestionario_Id").val("0");
    $("#sCueCodigo").val("");
    $("#sCueNombre").val("");
    comportamientoEnTabla = [];
    $("#tComportamiento tbody").empty();
    $("#tComportamiento tbody").append("<tr><td colspan='3'> No hay Comportamientos.</td></tr>");
}

function FrmGuardarCuestionario(){
    $.post('?c=Cuestionario&a=FrmGuardarCuestionario',{        
    },function(data){
       $(".content-wrapper").html(data); 
    });
}

function FrmEditarCuestionario(cuestionario_Id){
    $.post('?c=Cuestionario&a=FrmEditarCuestionario',{ 
       cuestionario_Id: cuestionario_Id
    },function(data){
       $(".content-wrapper").html(data); 
        listarCuestionarioDetalle(cuestionario_Id)
    });
}

function mostrarCuestionario(cuestionario_Id){
   $.post('?c=Cuestionario&a=MostrarCuestionario',{    
       cuestionario_Id: cuestionario_Id
   },function(data){
      $("#ver_datos").html(data); 
   });
}

function listarPreguntas(){
    var sNuevoComportamiento=$('#sNuevoComportamiento');
    $.post('?c=Cuestionario&a=ListarCompetencias', {
    }, function (data) {
        sNuevoComportamiento.html(data);
    })
}

// document.addEventListener("DOMContentLoaded", function () {
//     document.getElementById("nComDetPorcentaje").value = "1";
// });