
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Resultado por preguntas
                <small></small>
            </h1>
            <ol class="breadcrumb">
                <li><a href="wfamain.php"><i class="fa fa-dashboard"></i> Inicio</a></li>
                <li><a href="#">Avances de la Evaluación</a></li>
            </ol>
        </section>        
        <!-- Main content -->
        <section class="content">
            <div class="row">
                <div class="col-md-12">
                    <div class="box">
                    
                        <div class="box-header">
                            <div class="col-md-12 text-right" style="margin-top: 5px;">
                                <button class="btn btn-success" onclick="generarExcelResultadoPreguntas();">
                                    <i class="fa fa-file-excel-o"></i>&nbsp;Exportar</button>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <form action="?c=Reporte&a=IndexResultadoPregunta" method="POST" style="margin-bottom: 4rem;">
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="col-md-3">
                                            <label class="font-weight-bold">Área</label>
                                            <select class="form-control" name="area_Id" id="area_Id">
                                                <option value="0" <?= ($area_id == 0) ? 'selected' : '' ?>>TODAS</option>
                                                <?php foreach ($areas as $item) { ?>
                                                    <option value="<?=$item->__GET('area_Id')?>" <?= ($area_id == $item->__GET('area_Id')) ? 'selected' : '' ?> ><?=$item->__GET('sAreDescripcion') ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-3">
                                            <label class="font-weight-bold">Cargo</label>
                                            <select class="form-control" name="cargo_Id" id="cargo_Id">
                                                <option value="0" <?= ($cargo_Id == 0) ? 'selected' : '' ?>>TODAS</option>
                                                <?php foreach ($cargos as $item) { ?>
                                                    <option value="<?=$item->__GET('cargo_Id')?>" <?= ($cargo_Id == $item->__GET('cargo_Id')) ? 'selected' : '' ?>><?=$item->__GET('sCarDescripcion') ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label class="font-weight-bold">Edad</label>
                                            <select class="form-control" name="edad_Id" id="edad_Id">
                                                <option value="0" <?= ($edad_Id == 0) ? 'selected' : '' ?>>TODAS</option>
                                                <?php foreach ($edades as $item) { ?>
                                                    <option value="<?=$item->__GET('edad_Id')?>" <?= ($edad_Id == $item->__GET('edad_Id')) ? 'selected' : '' ?>><?=$item->__GET('sEdaDescripcion') ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label class="font-weight-bold">Año</label>
                                            <select class="form-control" name="ano_Id" id="ano_Id">
                                                <option value="0" <?= ($anio_Id == 0) ? 'selected' : '' ?>>TODAS</option>
                                                <?php foreach ($anios as $item) { ?>
                                                    <option value="<?=$item->__GET('ano_Id')?>" <?= ($anio_Id == $item->__GET('ano_Id')) ? 'selected' : '' ?>><?=$item->__GET('sAnoDescripcion') ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                        <div class="col-md-2">
                                            <label class="font-weight-bold">Contratación</label>
                                            <select class="form-control" name="Contratacion_Id" id="Contratacion_Id">
                                                <option value="0" <?= ($contracion_Id == 0) ? 'selected' : '' ?>>TODAS</option>
                                                <?php foreach ($contrataciones as $item) { ?>
                                                    <option value="<?=$item->__GET('contratacion_Id')?>" <?= ($contracion_Id == $item->__GET('contratacion_Id')) ? 'selected' : '' ?>><?=$item->__GET('sConDescripcion') ?></option>
                                                <?php } ?>
                                            </select>
                                        </div>
                                    </div>
                                    <div class="col-md-12 text-right" style="margin-top: 14px;">
                                        <button type="submit" class="btn btn-danger">
                                            <i class="fa fa-filter"></i> Filtrar
                                        </button>
                                    </div>
                                </div>
                            </form>
                        </div>

                        <div class="box-body">
                            <table id="example1" class="table table-bordered table-striped text-center">
                                <thead>
                                    <tr>
                                        <th>Código</th>
                                        <th>Pregunta</th>
                                        <th>Promedio</th>
                                        <th>Porcentaje</th>
                                    </tr>
                                </thead>                  	
                                <tbody>  
                                    <?php foreach ($reporte as $item) {
                                        $porcentaje = $item->Porcentaje;
                                        $color = '';
                                        
                                        if ($porcentaje < 20) {
                                            $color = 'background-color:rgb(247, 88, 88); color: white;'; // Rojo cuando es < 20%
                                        } elseif ($porcentaje >= 20 && $porcentaje < 50) {
                                            $color = 'background-color: #ffcc00; color: black;'; // Amarillo entre 20% y 50%
                                        } elseif ($porcentaje >= 50 && $porcentaje < 70) {
                                            $color = 'background-color:rgb(64, 189, 64); color: white;'; // Verde entre 50% y 70%
                                        } else {
                                            $color = 'background-color:rgb(0, 102, 255); color: white;'; // Azul cuando esta entre 70% y 100%
                                        }
                                    ?>
                                        <tr>
                                            <td><?=$item->Codigo?></td>
                                            <td><?=$item->Pregunta?></td>
                                            <td><?=$item->Promedio?></td>
                                            <td>
                                                <span class="badge rounded-pill px-3 py-2" style="<?= $color ?> font-weight: semibold; font-size: 1.5rem;">
                                                    <?= $porcentaje ?>%
                                                </span>
                                            </td>

                                        </tr>
                                    <?php } ?>
                                </tbody>
                                <tfoot>
                                    <tr>
                                        <th>Código</th>
                                        <th>Pregunta</th>
                                        <th>Promedio</th>
                                        <th>Porcentaje</th>
                                    </tr>
                                </tfoot>
                            </table>

                        </div><!-- /.box-body -->
                    </div><!-- /.box -->
                </div><!-- /.col -->
            </div><!-- /.row -->
        </section><!-- /.content -->
        <script type="text/javascript" src="view/librerias/dist/js/funcionesReporte.js"></script>
        <script type="text/javascript">
            $(function() {
                jQuery.fn.dataTableExt.oSort['fecha-asc'] = function(a, b) {
                    var ukDatea = a.split('-');
                    var ukDateb = b.split('-');

                    var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                    var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                    return ((x < y) ? -1 : ((x > y) ? 1 : 0));
                };

                jQuery.fn.dataTableExt.oSort['fecha-desc'] = function(a, b) {
                    var ukDatea = a.split('-');
                    var ukDateb = b.split('-');

                    var x = (ukDatea[2] + ukDatea[1] + ukDatea[0]) * 1;
                    var y = (ukDateb[2] + ukDateb[1] + ukDateb[0]) * 1;

                    return ((x < y) ? 1 : ((x > y) ? -1 : 0));
                };
                $("#example1").dataTable({
                  "aaSorting": []
                });
                $("#example1").dataTable();

            });
        </script>